using AyCode.Interfaces.ServiceProviders;

namespace AyCode.Interfaces.Users;

public interface IAcUserToServiceProviderRelation<TUser, TCompany, TUserToServiceProvider> 
    where TUser : class, IAcUserBase, IAcCompanyRelation<TCompany, TUserToServiceProvider>
    where TCompany : class, IAcCompanyBase
    where TUserToServiceProvider : class, IAcUserToCompanyBase
{
    public TUser User { get; set; }
    public TCompany ServiceProvider { get; set; }
}